@import './accordion';
@import './aggrements';

.HelpPages {
    display: grid;
    padding-top: 33px;
    grid-template-columns: 288px auto;
    grid-gap: 30px;

    @include before-desktop {
        grid-template-columns: 220px auto;
    }

    @include mobile {
        grid-template-rows: 'auto auto';
        grid-template-columns: 100%;
    }

    .HelpPages-header {
    }

    strong {
        font-weight: 500;
    }

    h5 {
        padding-bottom: 0.5em;
        font-family: $font-work-sans;
        font-size: 14px;
        font-style: normal;
        font-weight: 500;
        line-height: 20px;
    }

    &-decor {
        position: absolute;
        top: -150px;
        right: -200px;
        left: auto;

        .Image {
            width: auto;
            height: auto;
            padding: 0;
            .Image-Image {
                width: auto;
                height: auto;
                position: static;
            }
        }
    }
}

.HelpPages {
    &-warranty {
        .HelpPages-decor {
            top: auto;
            right: -200px;
            bottom: -100px;
            left: auto;
        }
    }
}

.HelpMenu {
    ul {
        padding: 0;
        list-style: none;
    }

    li {
        &::before {
            display: none;
        }
    }

    &-itemwrap {
        display: block;
        padding: 0;
        border-bottom: 1px solid #adf51d;
        color: #141414;

        a {
            display: block;
            box-sizing: content-box;
            padding: 8px;
            vertical-align: middle;
            color: inherit;
            text-decoration: none;
            line-height: 24px;

            &:active,
            &:visited {
                background: #adf51d;
                font-weight: bold;
            }
        }
    }
}

.HelpPage-subheader {
    font-family: $font-work-sans;
    font-size: 20px;
    font-weight: 600;
    text-transform: none;
    line-height: 24px;
    &:first-of-type {
        margin-top: 0;
    }
}

.HelpPages > {
    div:first-of-type {
        //@extend .HelpPages-sidebar;
    }

    div:last-of-type {
        //@extend .HelpPages-content;
    }
}

.HelpPageQandA-ask-on-chat {
    height: 152px;
    padding: 16px;
    border: 1px solid #f5f5f5;
    margin-top: 40px;

    a:hover {
        text-decoration: none;
    }

    .chat-icon {
        $a: 64px;
        width: $a;
        height: $a;
        border-radius: 50%;
        position: absolute;
        right: 16px;
        bottom: 16px;
        left: auto;
        background: var(--secondary-base-color);
        content: '';
        a {
            display: block;
            width: 100%;
            height: 100%;
        }
        svg {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
        }
    }

    &::before {
        border-radius: 50%;
        position: absolute;
        right: 16px;
        bottom: 16px;
        left: auto;
        background: var(--secondary-base-color);
        //$a: 64px;
        //width: $a;
        //height: $a;
        content: '';
    }

    .HelpPageQandA-ask-on-chat-title,
    strong {
        font-family: $font-work-sans;
    }
    .HelpPageQandA-ask-on-chat-title {
        font-size: 20px;
        font-style: normal;
        font-weight: 600;
        line-height: 24px;
    }

    strong {
        margin-top: 13px;
        font-size: 16px;
        font-style: normal;
        font-weight: 500;
        line-height: 24px;
    }
}

.HelpPageDeliveryMethods {
    &__list {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        grid-gap: 60px;
        @include mobile {
            grid-template-rows: 1fr 1fr 1fr;
            grid-template-columns: 1fr;
        }
    }

    &__method {
        display: grid;
        grid-template-areas:
            'title title'
            'subtitle subtitle'
            'img prices';
        grid-template-rows: auto auto auto;
        grid-template-columns: 72px auto;
        grid-column-gap: 12px;
        @include mobile {
            grid-template-columns: 133px auto;
            //grid-template-rows: 1fr 1fr 1fr;
        }
        &-title {
            grid-area: title;
        }
        &-subtitle {
            grid-area: subtitle;
        }
        &-icon-and-prices {
            grid-area: img;
            .Image {
                //width: auto;
                &-Image {
                    //position: static;
                }
            }
        }
        &-prices {
            grid-area: prices;
        }
    }
    ul,
    li {
        padding: 0;
        list-style: none;
        &::before {
            display: none;
        }
    }
}

.Button-opaque {

    display: flex;
    box-sizing: border-box;
    width: 192px;
    height: 48px;
    padding: 12px 16px;
    border: 1px solid #141414;
    vertical-align: middle;
    align-items: center;

    font-family: $font-work-sans;
    font-size: 14px;
    //font-style: normal;
    font-weight: 600;
    text-transform: uppercase;
    line-height: 24px;
}

.text-danger {
    color: red;
}

ol li {
    counter-increment: none;
}

ol > li {
    counter-increment: list;
    ul,
    ol {
        margin-top: 8px;
    }
    ul > li {
        &::before {
            padding-right: 1.1225em;
            position: absolute;
            top: 0.07em;
            left: 1em;
            content: '\2022';
        }
    }
}

.ShoesMaterialsSection {
    display: grid;
    grid-template-rows: auto auto;
    grid-template-columns: 1fr 1fr;
    grid-gap: 12px;
    @include mobile {
        grid-template-rows: auto auto auto auto;
        grid-template-columns: 1fr;
    }
}

.ShoeMaterial {
    display: grid;
    grid-template-rows: 32px auto;
    grid-template-columns: 1fr;

    &__title {
        display: grid;
        grid-template-columns: 32px auto;
        grid-gap: 8px;
        span {
            vertical-align: middle;
            font-size: 14px;
            font-weight: 500;
            line-height: 32px;
        }
    }

    &__symbol-wrap {
        $a: 32px;
        width: 32px;
        height: 32px;
        border: 1px solid;
        border-radius: 50%;
        position: relative;
        svg {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
        }
    }
    &__desc {
        strong,
        span {
            display: block;
            padding: 2px 0;
        }

        strong {
            font-size: 14px;
            font-weight: normal;
            line-height: 20px;
        }

        span {
            font-size: 12px;
            font-style: normal;
            font-weight: normal;
            line-height: 20px;
        }
    }
}
